import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { StockRequisitionFileImportContainerModel } from '../../../../../../models/aggregates/erp/stock-requisition-file-import/index';
export declare class StockRequisitionFileImportService extends BaseApiTemplateService<StockRequisitionFileImportContainerModel> {
    constructor(http: HttpClient);
    sampleCommaCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    samplePipeCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
